![Header](https://chaotikum.org/assets/header.png)

# Geräte und Arbeitsplätze Buchen

Es kann sinnvoll sein, dass ein Gerät oder ein Set von Geräten, für verschiedenen Zwecke exklusiv einer Person oder Gruppe für einen Zeitraum zugesichert wird. Der Überbegriff hierfür ist das *Buchen von Inventar*. Es kann im Kontext unterschiedlicher Bereiche geschehen:

- **Events**: Bei der durchführung von Workshops, Vorträgen, der Nook, einem Sommerfest usw.. ist es notwendig sicherzustellen, dass bestimmte Dinge da sind, die benötigt werden. In Events ist es daher möglich direkt einzutragen, dass man Objekten aus dem Inventar bucht. Events sind auch die einzige Möglichkeit komplette Räume zu buchen. Wenn es sich eher um ein Treffen einer Projektgruppe oder andere Interne Sachen handelt, für die das dennoch sinnvoll erscheint sich Ruhe und Freiruam zu schaffen, [gibt es das Flag, das Event als Intern zu markieren]((/events.md). Es landet dann nicht im großen Kalender für die ganze öffentlichkeit. Für mehr informationen über das Anlegen von Events lese das Kapitel [Events im Kalender](/docs/content/events.md).
- **Verleih**: Es ist möglich als Privatperson oder Gruppen gewisse dafür vorgesehene Objekte aus dem Inventar zu leihen. Dafür füllt man ein Formular aus, unterscheibt einen Leihvertrag und erhält dan das Objekt oder die Objekte. Mehr Informationen im Kapitel [Leihgabe und Verleih-Infos](/docs/content/loans.md).
- **Reservieren für Aktivitäten**: *Aktivitäten* (früher *Projekte*) sind langfristige Tätigkeiten von Personen oder Gruppen rund um und im Rahmen des Vereinszwecks innerhalb (oder zumindest teilweise innerhalb) der Vereinsräume. Manchmal sind diese Zeitkritisch oder verlangen Teamarbeit und es ist sinnvoll, dafür Objekte aus dem Inventar zu reservieren. Mehr über Aktivitäten und wie wir sie verstehen findest du im kapitel [Projekte und Aktivitäten](/docs/content/activities.md).

Hier geht es also darum, wie man für solche Aktivitäten etwas buchen kann.

Zur Erklärung: *Der Unterschied: Bei einem Verleih verlässt das Objekt dan Nobreakspace, hier benötigt es laut Nutzungsordnung eine vom Vorstand an die Vereih-Gruppe deligierte Genemigung. Für reine Reservierungen ist das nicht notwendig. Du kannst als jemand, der an einer Aktivität mitwirkt, das also einfach selber anlegen.*

### Die Markdown Datei

Der einfachheit halber nutzen wir hier auch Markdown-Datein im ordner `_loan`. Reservierungen werden technisch also weitestgehend wie ein Verleih behandelt, minus den orgnisatorischen Overhead. Wichtig ist insbesondere das Flag *booking* welches auf *true* gesetzt werden muss, sowie das *projects* welches das *Tag* mindestens eines [Projekts](/docs/content/activities.md) entahlten muss:

Z.B. so:
```
---
layout: loan
title:  "Reserve"
eventdate:   2024-05-26 00:00:00 +0200
eventend:    2024-05-26 23:59:59 +0200
#https://www.uuidgenerator.net/
uid: bc65ef44-0e8c-4da3-8289-b0bac8930c3b
booking: true
projects: 
 - laterne
devices:
 - 40873e89-1515-412c-9a40-c27daf4e9894
short: "Reserviert"
---
```

Das ganze funktioniert nur, wenn Projekte mit den verlinkten *Tags* existieren, ansonsten wird auf der Werkstatt-Seite keine Reservierung angezeigt.

Wie immer ist eine eindeutige uid nötig usw..  Ansonsten gillt alles, was man im Kapitel [Leihgabe und Verleih-Infos](/docs/content/loans.md) nachlesen kann.

