![Header](https://chaotikum.org/assets/header.png)

# Verleihen

Das Chaotikum verleiht geräte. Nicht zu [beliebigen Zwecken](https://wiki.chaotikum.org/hackspace:kommerzielle_interessen) aber grundsätzlich gerne, auch an Privatpersonen und zu privaten Zwecken, wenn das ganze nicht überhand nimmt. Das muss irgendwie gemanaged werden.

Teil der Website ist es aus mehreren Gründen:

- Es macht die Sache recht leicht findbar, weil die Website unser Aushängeschild ist
- Wir führen für unsere Werkstattseite u.ä. ohnehin eine Art Inventar auf der Website, da lässt sich das einbinden
- Wenn Informationen über Verleih auf der Website sind, können wir sie nutzen, um die (nihct) verfügbarkeit von Geräten auch auf der Website sichtbar zu machen.

Es gibt aber auch Teile, die machen das etwas schwierig:

Verleih von Onbjekten beinhaltet personebezogene Daten. Hier entsteht ein Vertrag meist wzsicehn einer Person und dem Verein über eine Leihgabe und diese Daten können wir natürlich nicht einfach öffentlich ins Netz stellen. Das tun wir auch nicht. Der ramen der Verarbeitung von Daten ist in unserer [Datenschutzerklärung](https://chaotikum.org/datenschutzerk/) soweit nötig beschrieben.

Wie gehen wir also damit um:

Eine Anfrage etwas auszuleihen erfolgt über ein Formular auf unserer Website (Das funktioniert noch nicht, Issue im Gitla https://git.chaotikum.org/chaotikum/website/-/issues/41). Diese personenbezogenen Daten werden an das Zammad (Helpdesk) weitergeitet, wo sie lediglich für die [Verleih-Gruppe](https://wiki.chaotikum.org/ag:verleih) sichtbar sind.

Diese erstellt nun eine markdown-Datei mit den relevanten Daten.

Etwas anders verhält es sich, wenn eine Projektgruppe/Aktivitätsgruppe/AG etwas buchen möchte (mehr dazu im Kapitel [Geräte Buchen](/docs/content/booking.md)). (**Der Unterschied: bei einem Verleih verlässt das Objekt dan Nobreakspace, hier benötigt es laut Nutzungsordnung eine vom Vorstand an die Vereih-Gruppe deligierte Genemigung. Für reine Reservierungen ist das nicht notwendig**)

Aber sofern so eine Anfrage reinkommt, liegt die Arbeit bei dieser Arbeitsgruppe. Leih-Events sollte man also üblicherweise nicht selbst anlegen. Sie werden vom Verleih-Team angelegt. Man selbst geht auf [die Chaotikum Website](ttps://chaotikum.org/nobreakspace/ausleihen/) und stellt eine Anfrage etwas auszuleihen .

Aber wenn man nun im Verleih Team ist und eine Leihgabe eintragen will, wie geht es?

### Die obligatorische Markdown Datei

Die Dateien liegen im Ordner `_loan` und ihre Funktion ist es, eine Leihgabe zu Repäsentieren. Sie sorgen dafür, dass auf der Website im Kalender der Geräte sichtbar ist, dass sie verliehen sind und von wann bis wann.

Sie sehen ca so aus:

```
---
layout: loan
title:  "Verleih"
eventdate:   2023-10-09 00:00:00 +0200
eventend:    2023-10-12 23:59:59 +0200
#https://www.uuidgenerator.net/
uid: 520666ee-6633-11ee-8c99-0242ac120002
contact: verleih@chaotikum.org
devices:
 - 646997ba-ca63-4854-a1df-73c6443e65e3
sets:
 - kofferweiss
short: "Kram wird verliehen"
---
```

Die Menge an Daten ist hier recht klein, das liegt am Datenschutz. Der Kontakt ist z.B. eigentlich immer einfach die Verleih-Gruppe.

* `layout`: immer *loan*
* `title`: Üblicherweise einfach Verleih oder so. Keine Details veraten wie z.B. an wen.
* `eventdate`: Start des Verleihs. Eigentlich immer Miternacht. **ACHTUNG. im Winter mit +0100 und im Sommer mit +0200**
* `eventend`: Ende des Verleihs. Eigentlich immer 23:59:59. **ACHTUNG. im Winter mit +0100 und im Sommer mit +0200**
* `uid`: Wie immer sehr wichtig für alle möglichen verlinkungen, eine eigene uuid pro Verleih.
* `booking`:  entweder *true* oder *false*. Wenn *false* kann man es auch weg lassen. zeigt an, dass es sich nicht um eine leihgabe sondern eine Reservierung für ein pProjekt/eine Aktivität handelt. Mehr über projekte im Kapitel [Projekte und Aktivitäten](/docs/content/activities.md).
* `contact`: Kontaktadresse. Üblicherweise einfach die der Verleih Gruppe, die kann ja dann weiterleiten.
* `devices`: Liste von zu entleohenden Geräten. Hier muss jeweils die uuid des Geräts aus dem ordner `_inventory` angegeben werden.
* `sets`: Werden anstelle von (oder zusätzlich) komplette sets aus dem ordner `_sets` geliehen, hier diese Auflisten. Das geschieht über die *Tags* der Sets
* `projects`: LIste von Projekten, mit denen die Leihgabe oder die Reservierung verbunden ist
* `short`:Auch hier. Datenschutz waren. Keine Details die auf Personen Rückschlüsse ziehen könnten.
* `projecttag`: Eine Verknüpfung mit Projekten wird angestrebt, dann würde sowas vielleicht kommen. Aktuell noch ohne jegliche Funktion.  (->Issue Link im Gitlab: https://git.chaotikum.org/chaotikum/website/-/issues/50).

### Der Verleihkalender

Wie im kapitel [Inventar und Werkstatt](/docs/content/inventory.md) beschrieben, ist es notwendig pro Invenatrobjekt eine Behlfsdatei anzulegen, damit die ical-Datei für den kalender erzeugt wird.
